OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepShape

# StepShape_ValueQualifier Class Reference

Added for Dimensional Tolerances
.

`#include <StepShape_ValueQualifier.hxx>`

Inheritance diagram for StepShape_ValueQualifier:

[legend]

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepShape_ValueQualifier ()
Standard_EXPORT Standard_Integer | CaseNum (const Handle(Standard_Transient)&ent) const
| Recognizes a kind of ValueQualifier Select Type : 1 -> PrecisionQualifier from StepShape 2 -> TypeQualifier from StepShape 3 -> UnceraintyQualifier .. not yet implemented .
Standard_EXPORT Handle_StepShape_PrecisionQualifier | PrecisionQualifier () const
| Returns Value as PrecisionQualifier .
Standard_EXPORT Handle_StepShape_TypeQualifier | TypeQualifier () const
| Returns Value as TypeQualifier .

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_ValueQualifier::StepShape_ValueQualifier | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer StepShape_ValueQualifier::CaseNum | ( | const Handle(Standard_Transient)& | ent | ) | const`[virtual]`

| Implements StepData_SelectType.

void StepShape_ValueQualifier::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepShape_ValueQualifier::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepShape_ValueQualifier::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepData_SelectType.

Standard_EXPORT Handle_StepShape_PrecisionQualifier StepShape_ValueQualifier::PrecisionQualifier | ( |  | ) | const

Standard_EXPORT Handle_StepShape_TypeQualifier StepShape_ValueQualifier::TypeQualifier | ( |  | ) | const

The documentation for this class was generated from the following file:

- StepShape_ValueQualifier.hxx